# Podterminal

This project is a small go reverse proxy that spins up a container for each session, allowing multiple simultaneous
Users to use Webtop in their own, separate session. A good illustration is this:
![Webtop Inception](doc/podterminal_inception.png)

## Building
To build the project, you can just use "make"

On Debian 12, you will need the following dependencies:
```
apt install -y git wget podman make gcc libgpgme-dev build-essential pkgconf pkgconf-bin libdevmapper-dev libbtrfs-dev
```

## Installing
Executing `make install` will install and start podterminal as a systemd service, including an example config file.

## Running
To run the built binary, just execute it as root. You will have to have Podman installed and its socket enabled.
Currently you have to set the Image, port etc. directly in the Source Code, however that should be eventually moved into
a config file.
